Subject: Re: [RFC iproute2-next 2/4] rdma: Add support for rdma monitor

From: Leon Romanovsky <[email-masked]>
Date: Mon, 2 Sep 2024 21:12:52 +0300

On Mon, Sep 02, 2024 at 10:55:15AM -0600, David Ahern wrote:
> On 9/2/24 1:54 AM, Leon Romanovsky wrote:
> > On Sun, Sep 01, 2024 at 08:22:50PM -0600, David Ahern wrote:
> >> On 8/31/24 6:54 PM, Michael Guralnik wrote:
> >>> $ echo 4 > /sys/class/net/eth2/device/sriov_numvfs
> >>> [NETDEV_ATTACH]	dev 6 port 2 netdev 7
> >>> [NETDEV_ATTACH]	dev 6 port 3 netdev 8
> >>> [NETDEV_ATTACH]	dev 6 port 4 netdev 9
> >>> [NETDEV_ATTACH]	dev 6 port 5 netdev 10
> >>> [REGISTER]	dev 7
> >>> [NETDEV_ATTACH]	dev 7 port 1 netdev 11
> >>> [REGISTER]	dev 8
> >>> [NETDEV_ATTACH]	dev 8 port 1 netdev 12
> >>> [REGISTER]	dev 9
> >>> [NETDEV_ATTACH]	dev 9 port 1 netdev 13
> >>> [REGISTER]	dev 10
> >>> [NETDEV_ATTACH]	dev 10 port 1 netdev 14
> >>>
> >>
> >> at a minimum the netdev output can be device names not indices; I would
> >> expect the same for IB devices (I think that is the `dev N` in the
> >> output) though infrastructure might be needed in iproute2.
> > 
> > I understand the request and it is a good one for the users of the tool.
> > 
> > However, we will need to remember that "real" users of this monitoring
> > UAPI (from kernel side) are the orchestration tools and they won't care
> > about the names, but about the IDs, which won't be used in rdmatool.
> > 
> 
> That's a big assumption.
> 
> It is trivial to convert indices to names, so this can be readable for both.

We had an internal discussion about this earlier today and came to same
conclusion that we will convert indexes to names in the rdmatool without
need to change the kernel API.

Thanks